Operation - Get Operation By ID

Gets the status of an environment lifecycle operation.

GET https://api.powerplatform.com/environmentmanagement/operations/{operationId}?api-version=2024-10-01

URI Parameters

Name In Required Type Description
operationId
path True

string

The ID of the operation.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

OperationExecutionResult

OK

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

401 Unauthorized

Unauthorized

Media Types: "text/plain", "application/json", "text/json"

403 Forbidden

Forbidden

Media Types: "text/plain", "application/json", "text/json"

404 Not Found

Not Found

Media Types: "text/plain", "application/json", "text/json"

429 Too Many Requests

Too Many Requests

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
Environment

Power Platform environment.

FieldError

The error detail for a single field.

OperationErrorDetail

Structured error detail for a failed request.

OperationExecutionResult

The result of an environment lifecycle operation.

OperationStatus

The status of operation.

StageStatus

The status of a single stage of an operation.

StepExecutionStatus

The execution status of an operation stage.

UserIdentity

Represents the identity of a user.

ValidationResponse

Represents the response for validation of an operation.

Environment

Power Platform environment.

Name Type Description
dataverseOrganizationUrl

string

Dataverse organization URL of the environment.

displayName

string

Display name of the environment.

environmentId

string

The environment ID.

FieldError

The error detail for a single field.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong with the field.

suggestedValue

string

A suggested or accepted value that would resolve the error.

OperationErrorDetail

Structured error detail for a failed request.

Name Type Description
code

string

The error code.

fieldErrors

<string,  FieldError>

Per-field error detail, keyed by field name.

OperationExecutionResult

The result of an environment lifecycle operation.

Name Type Description
endTime

string (date-time)

The end time of the operation.

errorDetail

OperationErrorDetail

Structured error detail for a failed request.

name

string

The name of the operation.

operationId

string

The ID of the operation.

requestedBy

UserIdentity

Represents the identity of a user.

stageStatuses

StageStatus[]

Per-stage progress of the operation.

startTime

string (date-time)

The start time of the operation.

status

OperationStatus

The status of operation.

updatedEnvironment

Environment

Power Platform environment.

OperationStatus

The status of operation.

Value Description
Queued
InProgress
Succeeded
ValidationFailed
Failed
NoOperation
ValidationPassed

StageStatus

The status of a single stage of an operation.

Name Type Description
endTime

string (date-time)

The end time of the stage.

errorDetail

OperationErrorDetail

Structured error detail for a failed request.

name

string

The name of the stage.

startTime

string (date-time)

The start time of the stage.

status

StepExecutionStatus

The execution status of an operation stage.

StepExecutionStatus

The execution status of an operation stage.

Value Description
Succeeded
Failed
Skipped
Postponed
InProgress
NotStarted

UserIdentity

Represents the identity of a user.

Name Type Description
displayName

string

The display name of the user.

tenantId

string

The tenant ID of the user.

type

string

The type of the user identity (for example, User).

userId

string

The ID of the user.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

OperationErrorDetail

Structured error detail for a failed request.